mtp_sap.h File Reference
`#include <stdint.h>`
`#include <osmocom/core/prim.h>`
`#include <osmocom/sigtran/sigtran_sap.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_mtp_transfer_param
struct | osmo_mtp_pause_param
struct | osmo_mtp_resume_param
struct | osmo_mtp_status_param
struct | osmo_mtp_prim

## Macros

#define | MTP_SIO(service, net_ind) (((net_ind & 0x3) << 6) | (service & 0xF))
#define | msgb_mtp_prim(msg) ((struct osmo_mtp_prim *)(msg)->l1h)

## Enumerations

enum | osmo_mtp_prim_type { OSMO_MTP_PRIM_TRANSFER, OSMO_MTP_PRIM_PAUSE, OSMO_MTP_PRIM_RESUME, OSMO_MTP_PRIM_STATUS }

## Functions

char * | osmo_mtp_prim_name (struct osmo_prim_hdr *oph)

## Macro Definition Documentation

## msgb_mtp_prim

#define msgb_mtp_prim | ( |  | msg | ) | ((struct osmo_mtp_prim *)(msg)->l1h)

## MTP_SIO

#define MTP_SIO | ( |  | service,
|  |  | net_ind
| ) |  | (((net_ind & 0x3) << 6) | (service & 0xF))

Referenced by sua2sccp_tx_m3ua().

## Enumeration Type Documentation

## osmo_mtp_prim_type

enum osmo_mtp_prim_type

Enumerator
OSMO_MTP_PRIM_TRANSFER |
OSMO_MTP_PRIM_PAUSE |
OSMO_MTP_PRIM_RESUME |
OSMO_MTP_PRIM_STATUS |

## Function Documentation

## osmo_mtp_prim_name()

char* osmo_mtp_prim_name | ( | struct osmo_prim_hdr * | oph | ) |